Subject: [Sip] RE: [Simple] New I-D on IM transport

From: "David Yon" <[email-masked]>
Date: Thu, 6 Dec 2001 11:18:19 -0500

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]] 
> Sent: Wednesday, December 05, 2001 1:54 PM
> To: 'Paul Kyzivat'; Jonathan Rosenberg
> Cc: [email-masked]'; Ben Campbell; [email-masked]'
> Subject: RE: [Simple] New I-D on IM transport
> 
> 
> > > > - in a separate mail thread on the comedia draft, we 
> > identified some
> > > > added problems with reinvites and connection oriented 
> > media. In that
> > > > case, what is negotiated in the sdp is used to establish a media
> > > > connection, so it isn't idempotent to subsequent 
> > invitations. There is
> > > > need to indicate in the sdp whether to renegotiate the 
> > connection or
> > > > not. I don't think we ever fully resolved that. But I 
> > believe it is
> > > > important that something in the sdp be changed to 
> > indicate a desire to
> > > > renegotiate the connection. The same kind of scenario 
> > applies here.
> > > 
> > > This is a good point. I think its a pure co-media issue, 
> > though, and that
> > > needs to be addressed in that draft.
> > 
> > Fair enough, as long as the rules you are trying to craft 
> > dovetail with
> > that. It may not be sufficient to simply reinvite with same old SDP;
> > it may be required to do something slightly different on a per-media
> > basis.
> 
> Right; you likely need to use a=reuse. One thing that is missing from
> comedia, though, is what to do if no existing connection 
> exists. This would
> be an issue for the reconstitute draft, since it would send a 
> re-invite with
> a=reuse, which might arrive at a new server that doesn't have 
> a connection.
> Indeed, one might argue that reuse is orthogonal to 
> a=active/passive/both.
> a=reuse would say what to do if the connection exists, the 
> rest would say
> what to do when it doesn't.
> 
>

While I'm not in tune with the full history of this thread, but what you
are saying above is in violation of what is specified in comedia.  An
endpoint may only specify "reuse" when it is signaling its intention to
add a media stream over an existing connection.  If there is no existing
connection, why would an endpoint specify "reuse"?

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip